package com.dhcc.finance.main.model;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel(value = "BlanceInfoLike", description = "金额参数")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BlanceInfoLike {
    
    @ApiModelProperty(value = "收益", required = true, example = "")
    private BigDecimal blanceSy;
    
    @ApiModelProperty(value = "增值税", required = true, example = "")
    private BigDecimal blanceZzs;
    
    @ApiModelProperty(value = "附加税", required = true, example = "")
    private BigDecimal blanceFjs;
    
    @ApiModelProperty(value = "费用", required = true, example = "")
    private BigDecimal blanceFy;

}
