package com.dhcc.finance.main.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
@ApiModel(value = "CwBdGlorgbook",description = "结转账套信息表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwGlTransferWeb {
	 /**
     * 账套主键
     */
    @ApiModelProperty(value = "账套主键", required = true, example = "")
    private String pkGlorgbook;
    /**
     * 子项目编号
     */
    @ApiModelProperty(value = "子项目编号", required = false, example = "")
    private String xtzxmbh;

    /**
     * 账套名称
     */
    @ApiModelProperty(value = "账套名称", required = false, example = "")
    private String name;
    /**
     * 启用期间
     */
    @ApiModelProperty(value = "会计期间", required = false, example = "")
    private String pkAccperiod;
    /**
     * 会计期间
     */
    @ApiModelProperty(value = "启用期间", required = false, example = "")
	private String pkCurrperiod;
    /**
     * 凭证张数
     */
    @ApiModelProperty(value = "凭证张数", required = false, example = "")
	private String voucher_num;
    /**
     * 信托经理
     */
    @ApiModelProperty(value = "信托经理", required = false, example = "")
	private String manager_id;
    /**
     * 核算会计
     */
    @ApiModelProperty(value = "核算会计", required = false, example = "")
	private String accounting_id;
    /**
     * 是否结转
     */
    @ApiModelProperty(value = "是否结转", required = false, example = "")
	private String istransfer;
}
