package com.dhcc.finance.main.service;

import java.util.List;
import java.util.Map;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwHsSubcodemap;
import com.github.pagehelper.PageInfo;

public interface CwHsSubcodemapService {
	/**
	 * Title: searchCwGlVoucherAllData <br/>  
	 * Description:TODO 按照科目代码和估值系统科目代码查询财务估值导出科目对照表的信息
	 * @author lipeng 
	 * @param pageNum
	 * @param pageSize
	 * @param navigatePages
	 * @param subcode
	 * @param subcodev
	 * @return RestfulResponse<PageInfo<CwHsSubcodemap>,CurrencyMeta>
	 * @date 2019年7月26日 下午5:34:37
	 */
	RestfulResponse<PageInfo<CwHsSubcodemap>, CurrencyMeta> searchCwHsSubcodemapAllData(int pageNum, int pageSize, int navigatePages,
			CwHsSubcodemap cwHsSubcodemap);
     /**
      * Title: searchCwHsSubcodemapCodeAndCodeV <br/>  
      * Description: TODO查询科目对照表的所有科目代码和估值科目代码 <br/>
      * @author lipeng 
      * @return RestfulResponse<Map<String,List<String>>,CurrencyMeta>
      * @date 2019年7月27日 上午10:23:18
      */
    RestfulResponse<Map<String,List<String>>, CurrencyMeta> searchCwHsSubcodemapCodeAndCodeV();
    /**
     * Title: searchCwHsSubcodemapCodeAndCodeV <br/>  
     * Description: TODO按照科目主键删除科目<br/>
     * @author lipeng 
     * @return RestfulResponse<Map<String,List<String>>,CurrencyMeta>
     * @date 2019年7月27日 上午10:23:18
     */
    RestfulResponse<Object, CurrencyMeta> deleteCwHsSubcodemapInfo(List<String>  IdList);
    /**
     * Title  新增估值导出科目对照表  
     * Description: TODO <br/>
     * @author lipeng 
     * @param cwHsSubcodemap
     * @return RestfulResponse<Object,CurrencyMeta>
     * @date 2019年7月27日 下午2:20:52
     */
    RestfulResponse<Object, CurrencyMeta> addCwHsSubcodemapInfo(CwHsSubcodemap  cwHsSubcodemap);

    /**
     * Title  修正估值导出科目对照表   
     * Description: TODO <br/>
     * @author lipeng 
     * @param cwHsSubcodemap
     * @return RestfulResponse<Object,CurrencyMeta>
     * @date 2019年7月27日 下午2:20:52
     */
    RestfulResponse<Object, CurrencyMeta> updataCwHsSubcodemapInfo(CwHsSubcodemap  cwHsSubcodemap);

}
