package com.dhcc.finance.main.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwBdRecordSerialForVoucher", description = "流水查看信息表")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwBdRecordSerialForVoucher {
	@ApiModelProperty(value = "批次号", required = true, example = "")
	private String batchNo;
	@ApiModelProperty(value = "凭证主键", required = true, example = "")
	private String pkVoucher;
	@ApiModelProperty(value = "记账标志", required = true, example = "")
	private String signType;
	@ApiModelProperty(value = "失败信息", required = true, example = "")
	private String failReason;
}
