package com.dhcc.finance.main.model;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@ApiModel(value = "CwNcAdvanceInfo",description = "NC垫付款明细请求参数")
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class CwNcRequestModel {
    @ApiModelProperty(value = "信托项目编号", required = false, example = "")
    private String xtxmbh;
    
    @ApiModelProperty(value = "科目编号", required = false, example = "")
    private String accnum;
    
    @ApiModelProperty(value = "开始日期", required = false, example = "")
    private String begindate;
    
    @ApiModelProperty(value = "结束日期", required = false, example = "")
    private String enddate;
    
    

}
