package com.dhcc.finance.main.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Title: SysPostInfoLike
 * @Description: 按条件模糊查询时的岗位实体类
 * @author LingFox  
 * @date 2018年5月10日
 */
@ApiModel(value = "SysPostInfoLike", description = "按条件查询岗位信息")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysPostInfoLike {

	@ApiModelProperty(value = "岗位编号", required = true, example = "489135433909796864")
	private String postIdLike;

	@ApiModelProperty(value = "岗位名称", required = true, example = "经理")
    private String postNameLike;

	@ApiModelProperty(value = "岗位类型", required = true, example = "1")
    private String postTypeLike;

	@ApiModelProperty(value = "使用状态", required = true, example = "1")
    private String useStateLike;

}
