package com.dhcc.finance.main.service;

import com.dhcc.common.model.CurrencyMeta;
import com.dhcc.common.model.response.RestfulResponse;
import com.dhcc.finance.main.domain.CwBdSubjTransformation;
import com.dhcc.finance.main.domain.CwBdSubjscheme;
import com.github.pagehelper.PageInfo;

/**
 * @ClassName: CwBdSubjTransformationService 
 * @Description: TODO(科目转换实体类)
 * @author lipeng 
 * @date 2019年9月16日 下午7:10:27
 * @see
 */
public interface CwBdSubjTransformationService {
	/**
	 * @Title: selectCwBdSubjTransformation
	 * @Description: TODO(根据账套编号和科目代码查询科目转换信息)
	 * @author lipeng
	 * @param @param pageNum
	 * @param @param pageSize
	 * @param @param navigatePages
	 * @param @param subjcode
	 * @param @param pkGlorgbook
	 * @param @return
	 * @return RestfulResponse<PageInfo<CwBdSubjTransformation>,CurrencyMeta>
	 * @see
	 * @throws
	 */
	RestfulResponse<PageInfo<CwBdSubjTransformation>, CurrencyMeta> selectCwBdSubjTransformation(int pageNum, int pageSize,
			int navigatePages,String  subjcode ,String  pkGlorgbook);
	/**
	 * @Title: updateCwBdSubjschemeByPk
	 * @Description: TODO(根据账套编号和科目代码转换科目)
	 * @author lipeng
	 * @param @param pkGlorgbook
	 * @param @param pk_accsubj
	 * @param @param subjcodeN
	 * @param @param subjname
	 * @param @param subjcodeO
	 * @param @return
	 * @return RestfulResponse<Object,CurrencyMeta>
	 * @see
	 * @throws
	 */
	RestfulResponse<Object, CurrencyMeta> updatecwBdSubjTransformation(String  pkGlorgbook,String  pk_accsubj,String subjcodeN,String subjname,String subjcodeO);
	
}
